SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";

CREATE TABLE `%tablename%` (
                                                    `id` int NOT NULL AUTO_INCREMENT,
                                                    `EVENTiD` int NOT NULL,
                                                    `teilnahme` ENUM('participant','volunteer','other','') NOT NULL,
                                                    `vorname` varchar(128) NOT NULL,
                                                    `nachname` varchar(128) NOT NULL,
                                                    `pfadiname` varchar(256) DEFAULT NULL,
                                                    `stamm` varchar(256) DEFAULT NULL,
                                                    `geburtsdatum` date DEFAULT NULL,
                                                    `ansprechpartner` varchar(256) DEFAULT NULL,
                                                    `strasse` varchar(128) DEFAULT NULL,
                                                    `hausnummer` varchar(8) DEFAULT NULL,
                                                    `plz` varchar(5) DEFAULT NULL,
                                                    `ort` varchar(128) DEFAULT NULL,
                                                    `email_1` varchar(512) NOT NULL,
                                                    `email_2` varchar(512) DEFAULT NULL,
                                                    `telefon_1` varchar(16) NOT NULL,
                                                    `telefon_2` varchar(16) DEFAULT NULL,
                                                    `badeerlaubnis` enum('complete','partial','none','') NOT NULL DEFAULT 'none',
                                                    `allergien` varchar(2048) NOT NULL,
                                                    `medikamente` varchar(2048) NOT NULL,
                                                    `essgewohnheit` enum('all','vegetarisch','vegan') NOT NULL DEFAULT 'vegetarisch',
                                                    `foto_socialmedia` tinyint NOT NULL DEFAULT '0',
                                                    `foto_print` tinyint NOT NULL DEFAULT '0',
                                                    `foto_webseite` tinyint NOT NULL DEFAULT '0',
                                                    `foto_partner` tinyint NOT NULL DEFAULT '0',
                                                    `foto_intern` tinyint NOT NULL DEFAULT '0',
                                                    `anmerkungen` varchar(2048) NOT NULL,
                                                    `beitrag` decimal(8,2) NOT NULL DEFAULT '0',
                                                    `beitrag_bezahlt` decimal(8,2) NOT NULL DEFAULT '0',
                                                    `anreise` date DEFAULT NULL,
                                                    `anreise_essen` int NOT NULL,
                                                    `abreise` date DEFAULT NULL,
                                                    `abreise_essen` int NOT NULL,
                                                    `anmeldedatum` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
PRIMARY KEY  (id)
) %charset%;


ALTER TABLE `%tablename%`
    ADD PRIMARY KEY (`id`),
  ADD KEY `event_gruppe` (`gruppe_id`);


ALTER TABLE `%tablename%`
    MODIFY `id` int NOT NULL AUTO_INCREMENT;

COMMIT;
