SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;

CREATE TABLE `%tablename%` (
                               `id` int NOT NULL AUTO_INCREMENT,
                               `event_name` varchar(1024) NOT NULL,
                               `event_email` varchar(1024) NOT NULL,
                               `archived`  tinyint NOT NULL DEFAULT '0',
                               `signup_allowed`  tinyint NOT NULL DEFAULT '0',
                               `startdatum` date DEFAULT NULL,
                               `enddatum` date DEFAULT NULL,
                               `amount_reduced` decimal(8,2) NOT NULL,
                               `amount_default` decimal(8,2) NOT NULL,
                               `amount_social` decimal(8,2) NOT NULL,
                               `max_participants` INT NOT NULL,
                               `max_volunteers` INT NOT NULL,
                               `contributing_tribes` TEXT NOT NULL,
PRIMARY KEY  (id)

) %charset%;


ALTER TABLE `%tablename%`
    ADD PRIMARY KEY (`id`);


ALTER TABLE `%tablename%`
    MODIFY `id` int NOT NULL AUTO_INCREMENT;

COMMIT;
